%define name smeserver-ipdown
%define version 1.0.1
%define release 02

Summary: Greymatter on smeserver
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Mitel/addon
Source: %{name}-%{version}.tar.gz
Packager: Steve Ognenovski <steve@socomms.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-release >= 7.0

%description
Notifys admin by email and sends SMS with 
SMS Server Tools 3 when pppoe is droped. 
%changelog
* Wed Sep 12 2007 Steve Ognenovski <steve@socomms.com>
- 1.0.0-02
- added support for SMS Server Tools 3
- added readme 
* Tue Aug 21 2007 Steve Ognenovski <steve@socomms.com>
- 1.0.1-01
- Change template location
- Added email admin code
* Sun Aug 19 2007 Steve Ognenovski <steve@socomms.com>
- 1.0.0-01
- Original version

%prep
%setup

%build


%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/e-smith/expand-template /etc/ppp/ip-down.local
/sbin/e-smith/expand-template /etc/ppp/ip-up.local 
cat /usr/share/doc/ipdown/readme
true

%postun
/sbin/e-smith/expand-template /etc/ppp/ip-down.local
/sbin/e-smith/expand-template /etc/ppp/ip-up.local
true

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
